#ifndef PENB_H
#define PENB_H

#define _USE_MATH_DEFINES
#include <iostream>
#include <vector>
#include <cmath>
#include "Point.h"
#include "polarPoint.h"

using namespace std;

class PeNB
{
	public:
		PeNB(Point position,double radius, int id, int power, int freq);//constructor
		Point& getPosition(void);
		double getRadius(void);
		int getID(void);
		int getPower(void);
		int getFreq(void);
		vector<Point>& getRegionCommonAreas(void);
		void setPosition(Point point);
		void setRadius(double radius);
		void setID(int id);
		void setPower(int power);
		void setFreq(int freq);
		void setRegionCommonAreas(vector<Point> regionCommonAreas);
		void addRegionCommonAreas(Point regionCommonAreas);

	private:
		Point position;
		double radius;
		int id;
		int power;
		int freq;
		vector<Point> regionCommonAreas;
				
};

#endif // PENB_H
